/ziflow-management | Type: Application | PCID required: Yes
Tools
ziflow_management_delete_custom_properties_proofs_groups_group_id
Delete Property Group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_id | string | Yes | — | Custom Property Group ID to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "string",
"description": "Custom Property Group ID to delete"
}
},
"required": [
"PCID",
"group_id"
]
}
ziflow_management_delete_folders_id
Delete folder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Folder ID |
delete_proofs | boolean | No | — | * true - request will delete folder, its sub-folders and proofs inside. If user does not have permission to delete specific folder, it will be moved to the root folder. * false - request will delete only folder and its sub-folders. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Folder ID"
},
"delete_proofs": {
"type": "boolean",
"description": "* true - request will delete folder, its sub-folders and proofs inside. If user does not have permission to delete specific folder, it will be moved to the root folder. * false - request will delete only folder and its sub-folders."
}
},
"required": [
"PCID",
"id"
]
}
ziflow_management_delete_guests_id
Delete guest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Guest ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Guest ID"
}
},
"required": [
"PCID",
"id"
]
}
ziflow_management_delete_users_identifier
Delete user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
identifier | string | Yes | — | User ID |
newOwner | string | No | — | Optional parameter, will transfer any proofs from this user to the nominated user. Parameter value should be an ID of a user, who should become a new owner of those proofs. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"identifier": {
"type": "string",
"description": "User ID"
},
"newOwner": {
"type": "string",
"description": "Optional parameter, will transfer any proofs from this user to the nominated user. Parameter value should be an ID of a user, who should become a new owner of those proofs."
}
},
"required": [
"PCID",
"identifier"
]
}
ziflow_management_delete_webhooks_subscription_id
Delete webhook subscription Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
subscription_id | string | Yes | — | Subscription ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"subscription_id": {
"type": "string",
"description": "Subscription ID"
}
},
"required": [
"PCID",
"subscription_id"
]
}
ziflow_management_delete_workflowtemplates_template_id
Delete a template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | Template ID to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"template_id": {
"type": "string",
"description": "Template ID to delete"
}
},
"required": [
"PCID",
"template_id"
]
}
ziflow_management_get_contacts
Get all contacts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
count | integer | No | — | Specifies number of records to return with max=100 |
page | integer | No | — | Used for pagination, starting at 1 |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"count": {
"type": "integer",
"description": "Specifies number of records to return with max=100"
},
"page": {
"type": "integer",
"description": "Used for pagination, starting at 1"
}
},
"required": [
"PCID"
]
}
ziflow_management_get_contacts_identifier
Get Contact by ID or email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
identifier | string | Yes | — | Contact ID or email address |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"identifier": {
"type": "string",
"description": "Contact ID or email address"
}
},
"required": [
"PCID",
"identifier"
]
}
ziflow_management_get_custom_properties_proofs_groups
Get Properties GroupsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
ziflow_management_get_custom_properties_proofs_groups_group_id
Get Property Group by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_id | string | Yes | — | Custom Property Group ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "string",
"description": "Custom Property Group ID"
}
},
"required": [
"PCID",
"group_id"
]
}
ziflow_management_get_custom_properties_proofs_groups_group_id_properties_property_id_options
Get Property’s options list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_id | string | Yes | — | Property group ID |
property_id | string | Yes | — | Property ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "string",
"description": "Property group ID"
},
"property_id": {
"type": "string",
"description": "Property ID"
}
},
"required": [
"PCID",
"group_id",
"property_id"
]
}
ziflow_management_get_custom_properties_proofs_groups_group_id_properties_property_id_options_option_id
Get Property’s option Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_id | string | Yes | — | Property group ID |
property_id | string | Yes | — | Property ID |
option_id | string | Yes | — | Option ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "string",
"description": "Property group ID"
},
"property_id": {
"type": "string",
"description": "Property ID"
},
"option_id": {
"type": "string",
"description": "Option ID"
}
},
"required": [
"PCID",
"group_id",
"property_id",
"option_id"
]
}
ziflow_management_get_folders
Get root foldersShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
ziflow_management_get_folders_id
Get folders Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Folder ID |
include | string | No | — | Param receives information about the folder in the URL. “subfolders_only” - returns only subfolders, “folder_and_subfolders” - returns current folder and subfolders (current folder as the first on the list, then all subfolders), “this_folder” - returns only the current folder. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Folder ID"
},
"include": {
"type": "string",
"description": "Param receives information about the folder in the URL. \"subfolders_only\" - returns only subfolders, \"folder_and_subfolders\" - returns current folder and subfolders (current folder as the first on the list, then all subfolders), \"this_folder\" - returns only the current folder.",
"enum": [
"subfolders_only",
"folder_and_subfolders",
"this_folder"
]
}
},
"required": [
"PCID",
"id"
]
}
ziflow_management_get_folders_id_folder_url
Generate folder URL (PREVIEW) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Folder ID |
expireAfterFirstUse | boolean | No | — | If true, URL will expire after first use. Overwrites urlExpiration value. |
urlExpiration | integer | No | — | URL expiration time in hours. Proper range of values: 1 - 336. |
email | string | No | — | Optionally provide the reviewer’s email in a URL encoded format, i.e. name%40domain.com. If not provided, the folder URL for the API user is returned. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Folder ID"
},
"expireAfterFirstUse": {
"type": "boolean",
"description": "If true, URL will expire after first use. Overwrites urlExpiration value."
},
"urlExpiration": {
"type": "integer",
"description": "URL expiration time in hours. Proper range of values: 1 - 336."
},
"email": {
"type": "string",
"description": "Optionally provide the reviewer's email in a URL encoded format, i.e. name%40domain.com. If not provided, the folder URL for the API user is returned."
}
},
"required": [
"PCID",
"id"
]
}
ziflow_management_get_folders_id_share
Get folder sharing settings Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Folder ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Folder ID"
}
},
"required": [
"PCID",
"id"
]
}
ziflow_management_get_intake_forms
Get list of intake forms Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
count | integer | No | — | Specifies number of records to return with max=100 |
page | integer | No | — | Used for pagination, starting at 1 |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"count": {
"type": "integer",
"description": "Specifies number of records to return with max=100"
},
"page": {
"type": "integer",
"description": "Used for pagination, starting at 1"
}
},
"required": [
"PCID"
]
}
ziflow_management_get_integrations
Get integration apps Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integration_properties_enabled | boolean | No | — | Specifies visibility of integration properties on proofs |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integration_properties_enabled": {
"type": "boolean",
"description": "Specifies visibility of integration properties on proofs"
}
},
"required": [
"PCID"
]
}
ziflow_management_get_integrations_application_key_connections
Get list of app connections Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_key | string | Yes | — | Specifies application e.g. MONDAY or ASANA. Value can be obtained from GET /integrations response “application_key” field. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"application_key": {
"type": "string",
"description": "Specifies application e.g. MONDAY or ASANA. Value can be obtained from GET [/integrations](#tag/INTEGRATIONS/paths/~1integrations/get) response \"application_key\" field."
}
},
"required": [
"PCID",
"application_key"
]
}
ziflow_management_get_integrations_application_key_property_groups
Get app groups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_key | string | Yes | — | Specifies integration application e.g. MONDAY or ASANA. Value can be obtained from GET /integrations response “application_key” field. Must be upper-case. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"application_key": {
"type": "string",
"description": "Specifies integration application e.g. MONDAY or ASANA. Value can be obtained from GET /integrations response \"application_key\" field. Must be upper-case."
}
},
"required": [
"PCID",
"application_key"
]
}
ziflow_management_get_integrations_application_key_property_groups_key_properties
Get app group properties Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_key | string | Yes | — | Specifies integration application e.g. MONDAY or ASANA. Value can be obtained from GET /integrations response “application_key” field. Must be upper-case |
key | string | Yes | — | Specifies application integration group key. Value can be obtained from GET /integrations/{application_key}/property-groups response “key” field. Must be upper-case. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"application_key": {
"type": "string",
"description": "Specifies integration application e.g. MONDAY or ASANA. Value can be obtained from GET /integrations response \"application_key\" field. Must be upper-case"
},
"key": {
"type": "string",
"description": "Specifies application integration group key. Value can be obtained from GET /integrations/{application_key}/property-groups response \"key\" field. Must be upper-case."
}
},
"required": [
"PCID",
"application_key",
"key"
]
}
ziflow_management_get_users
Get users Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
count | integer | No | — | Specifies number of records to return with max=100 |
page | integer | No | — | Used for pagination, starting at 1 |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"count": {
"type": "integer",
"description": "Specifies number of records to return with max=100"
},
"page": {
"type": "integer",
"description": "Used for pagination, starting at 1"
}
},
"required": [
"PCID"
]
}
ziflow_management_get_users_identifier
Get User by ID or email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
identifier | string | Yes | — | User ID or email address |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"identifier": {
"type": "string",
"description": "User ID or email address"
}
},
"required": [
"PCID",
"identifier"
]
}
ziflow_management_get_webhooks
Get webhook subscriptionsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
ziflow_management_get_workflowtemplates
Get workflow templatesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
ziflow_management_get_workflowtemplates_template_id
Get workflow template by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | Workflow template ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"template_id": {
"type": "string",
"description": "Workflow template ID"
}
},
"required": [
"PCID",
"template_id"
]
}
ziflow_management_post_custom_properties_proofs_groups
Create Property Group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
active | boolean | No | — | The active value |
display_order | integer | No | — | Order of the group. If not provided, by default group will be added as last on the list |
name | string | Yes | — | Property group name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"active": {
"type": "boolean",
"description": "The active value"
},
"display_order": {
"type": "integer",
"description": "Order of the group. If not provided, by default group will be added as last on the list"
},
"name": {
"type": "string",
"description": "Property group name"
}
},
"required": [
"PCID",
"name"
]
}
ziflow_management_post_custom_properties_proofs_groups_group_id_properties_property_id_options
Add option to property Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
group_id | string | Yes | — | Property group ID | |
property_id | string | Yes | — | Property ID | |
color | string | null | No | — | Possible to set only for multi select list options. Default is null or “default_color” from Property’s “field_type” object |
display_order | integer | No | — | Default is last available number on the list | |
value | string | Yes | — | The value value | |
visible | boolean | No | — | The visible value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "string",
"description": "Property group ID"
},
"property_id": {
"type": "string",
"description": "Property ID"
},
"color": {
"type": [
"string",
"null"
],
"description": "Possible to set only for multi select list options. Default is null or \"default_color\" from Property's \"field_type\" object"
},
"display_order": {
"type": "integer",
"description": "Default is last available number on the list"
},
"value": {
"type": "string",
"description": "The value value"
},
"visible": {
"type": "boolean",
"description": "The visible value"
}
},
"required": [
"PCID",
"group_id",
"property_id",
"value"
]
}
ziflow_management_post_folders
Create new folder Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
archived | boolean | No | — | Field defines if folder will be archived or not. Setting “false” on subfolder will unarchive all subfolders and parent folders. | |
name | string | No | — | The name value | |
parent_folder_id | string | null | No | — | Parent Folder Id |
private | boolean | No | — | The private value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"archived": {
"type": "boolean",
"description": "Field defines if folder will be archived or not. Setting \"false\" on subfolder will unarchive all subfolders and parent folders."
},
"name": {
"type": "string",
"description": "The name value"
},
"parent_folder_id": {
"type": [
"string",
"null"
],
"description": "Parent Folder Id"
},
"private": {
"type": "boolean",
"description": "The private value"
}
},
"required": [
"PCID"
]
}
ziflow_management_post_guests
Add guest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
company | string | No | — | The company value |
email | string | Yes | — | The email value |
first_name | string | No | — | First Name |
group | string[] | No | — | The group value |
language | string | No | — | Default value is pulled from account settings |
last_name | string | No | — | Last Name |
phone | string | No | — | The phone value |
proofing_defaults | object | No | — | Proofing Defaults |
timezone | string | No | — | Valid time zone identifiers from IANA Time Zone Database |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"company": {
"type": "string",
"description": "The company value"
},
"email": {
"type": "string",
"description": "The email value"
},
"first_name": {
"type": "string",
"description": "First Name"
},
"group": {
"type": "array",
"items": {
"type": "string"
},
"description": "The group value"
},
"language": {
"type": "string",
"description": "Default value is pulled from account settings",
"enum": [
"en",
"zh_cn",
"de",
"fr",
"ja",
"pt_br",
"es"
]
},
"last_name": {
"type": "string",
"description": "Last Name"
},
"phone": {
"type": "string",
"description": "The phone value"
},
"proofing_defaults": {
"type": "object",
"description": "Proofing Defaults",
"properties": {
"comment": {
"type": "boolean",
"description": "The comment value"
},
"decision": {
"type": "boolean",
"description": "The decision value"
},
"share": {
"type": "boolean",
"description": "The share value"
},
"manage": {
"type": "boolean",
"description": "The manage value"
},
"notification": {
"type": "string",
"description": "Default notification \"hourly_digest\" applies only to new users/guests. Other contacts retain their notification settings as default, unless defined otherwise. Default notification can be changed by Admin in account settings.",
"enum": [
"all_activity",
"replies_to_my_comments",
"decisions",
"final_decision",
"hourly_digest",
"daily_digest",
"disabled"
]
}
}
},
"timezone": {
"type": "string",
"description": "Valid time zone identifiers from IANA Time Zone Database"
}
},
"required": [
"PCID",
"email"
]
}
ziflow_management_post_users
Add user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
company | string | No | — | The company value |
email | string | Yes | — | The email value |
first_name | string | No | — | First Name |
group | string[] | No | — | The group value |
language | string | No | — | Can be changed to: en, zh_cn, de, fr, ja, pt_br, es |
last_name | string | No | — | Last Name |
password | string | No | — | Must be provided if verified=true. Must be at least 8 characters, 1 number and 1 capital letter. Password change may be required from user dependent on Account Settings. |
phone | string | No | — | The phone value |
proofing_defaults | object | No | — | Proofing Defaults |
roles | string[] | No | — | The roles value |
timezone | string | No | — | Valid time zone identifiers from IANA Time Zone Database |
verified | boolean | No | — | If true, “password” field is required and API key will be generated automatically (visible only to Admins). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"company": {
"type": "string",
"description": "The company value"
},
"email": {
"type": "string",
"description": "The email value"
},
"first_name": {
"type": "string",
"description": "First Name"
},
"group": {
"type": "array",
"items": {
"type": "string"
},
"description": "The group value"
},
"language": {
"type": "string",
"description": "Can be changed to: en, zh_cn, de, fr, ja, pt_br, es"
},
"last_name": {
"type": "string",
"description": "Last Name"
},
"password": {
"type": "string",
"description": "Must be provided if verified=true. Must be at least 8 characters, 1 number and 1 capital letter. Password change may be required from user dependent on Account Settings."
},
"phone": {
"type": "string",
"description": "The phone value"
},
"proofing_defaults": {
"type": "object",
"description": "Proofing Defaults",
"properties": {
"comment": {
"type": "boolean",
"description": "The comment value"
},
"decision": {
"type": "boolean",
"description": "The decision value"
},
"share": {
"type": "boolean",
"description": "The share value"
},
"manage": {
"type": "boolean",
"description": "The manage value"
},
"notification": {
"type": "string",
"description": "Default notification \"hourly_digest\" applies only to new users/guests. Other contacts retain their notification settings as default, unless defined otherwise. Default notification can be changed by Admin in account settings.",
"enum": [
"all_activity",
"replies_to_my_comments",
"decisions",
"final_decision",
"hourly_digest",
"daily_digest",
"disabled"
]
}
}
},
"roles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"manager",
"billing",
"user",
"lite_user"
]
},
"description": "The roles value"
},
"timezone": {
"type": "string",
"description": "Valid time zone identifiers from IANA Time Zone Database"
},
"verified": {
"type": "boolean",
"description": "If true, \"password\" field is required and API key will be generated automatically (visible only to Admins)."
}
},
"required": [
"PCID",
"email"
]
}
ziflow_management_post_webhooks
Create webhook subscription Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
active | boolean | No | — | The active value |
generate_signature_key | boolean | No | — | Defines if “webhook_signature_key” should be generated by Ziflow or not. When set to false and value is not provided, signature won’t be calculated and passed in request’s header. If true, Ziflow will generate the key which will be used to calculate signature. If you want to use your own key, this field should be set to false. If you set value to true and pass your own key, value will be ignored and generated by Ziflow. |
name | string | Yes | — | The name value |
subscription_types | object | Yes | — | Subscription Types |
target | string | Yes | — | The target value |
webhook_signature_key | string | No | — | Key is used to calculate SHA-256 signature passed in webhook header “x-ziflow-signature” for each event. You can either use a key generated by Ziflow or provide your own. It should be max 255 chars, alphanumerical with ”-” and ” \ ”. Algorithm and example can be found on <a href=“https://help.ziflow.com/hc/en-us/articles/30725068740244-Webhooks” target=“_blank” rel=“noopener noreferrer”>Help Page</a> |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"active": {
"type": "boolean",
"description": "The active value"
},
"generate_signature_key": {
"type": "boolean",
"description": "Defines if \"webhook_signature_key\" should be generated by Ziflow or not. When set to false and value is not provided, signature won't be calculated and passed in request's header. If true, Ziflow will generate the key which will be used to calculate signature. If you want to use your own key, this field should be set to false. If you set value to true and pass your own key, value will be ignored and generated by Ziflow."
},
"name": {
"type": "string",
"description": "The name value"
},
"subscription_types": {
"type": "object",
"description": "Subscription Types",
"properties": {
"proof": {
"type": "object",
"description": "The proof value"
}
}
},
"target": {
"type": "string",
"description": "The target value"
},
"webhook_signature_key": {
"type": "string",
"description": "Key is used to calculate SHA-256 signature passed in webhook header \"x-ziflow-signature\" for each event. You can either use a key generated by Ziflow or provide your own. It should be max 255 chars, alphanumerical with \"-\" and \" \\ \". Algorithm and example can be found on <a href=\"https://help.ziflow.com/hc/en-us/articles/30725068740244-Webhooks\" target=\"_blank\" rel=\"noopener noreferrer\">Help Page</a>"
}
},
"required": [
"PCID",
"name",
"subscription_types",
"target"
]
}
ziflow_management_post_workflowtemplates
Create new workflow template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
active | boolean | No | — | The active value |
name | string | No | — | The name value |
owner_email | string | No | — | Optional field to define template owner different than request’s author. Only user with admin permissions can be a template owner. |
permissions | object | No | — | The permissions value |
stages | object[] | Yes | — | The stages value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"active": {
"type": "boolean",
"description": "The active value"
},
"name": {
"type": "string",
"description": "The name value"
},
"owner_email": {
"type": "string",
"description": "Optional field to define template owner different than request's author. Only user with admin permissions can be a template owner."
},
"permissions": {
"type": "object",
"description": "The permissions value",
"properties": {
"add_stages": {
"type": "boolean",
"description": "Add Stages"
},
"remove_stages": {
"type": "boolean",
"description": "Remove Stages"
},
"change_stage_name": {
"type": "boolean",
"description": "Change Stage Name"
},
"change_stage_trigger": {
"type": "boolean",
"description": "Change Stage Trigger"
},
"change_stage_deadline": {
"type": "boolean",
"description": "Change Stage Deadline"
},
"change_stage_lock_mechanism": {
"type": "boolean",
"description": "Change Stage Lock Mechanism"
},
"change_stage_status_calculation": {
"type": "boolean",
"description": "Change Stage Status Calculation"
},
"change_stage_private_comments_ability": {
"type": "boolean",
"description": "Change Stage Private Comments Ability"
},
"change_stage_invitation_message": {
"type": "boolean",
"description": "Change Stage Invitation Message"
},
"add_reviewers": {
"type": "boolean",
"description": "Add Reviewers"
},
"remove_reviewers": {
"type": "boolean",
"description": "Remove Reviewers"
},
"change_reviewer_roles": {
"type": "boolean",
"description": "Change Reviewer Roles"
},
"change_reviewer_notification_preferences": {
"type": "boolean",
"description": "Change Reviewer Notification Preferences"
}
}
},
"stages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name value"
},
"final_status_calculation": {
"type": "object",
"description": "Defines how stage decision status is calculated. \"all_decisions\" - all decisions must be made to calculate the stage status. \"only_one_decision\" - any single decision is enough to calculate the stage status. \"primary_decision_maker\" - selected reviewer's decision will calculate the stage status. \"reviewer_id\" or \"reviewer_email\" must be provided for the \"primary_decision_maker\" option."
},
"only_one_decision": {
"type": "boolean",
"description": "Only One Decision"
},
"members": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string"
},
"view": {
"type": "boolean",
"description": "Always true"
},
"comment": {
"type": "boolean"
},
"decision": {
"type": "boolean"
},
"manage": {
"type": "boolean"
},
"share": {
"type": "boolean",
"description": "Allows to give guest reviewers permissions to share the proof. Available only on Enterprise edition"
},
"notification": {
"type": "string",
"description": "Default notification \"hourly_digest\" applies only to new users/guests. Other contacts retain their notification settings as default, unless defined otherwise. Default notification can be changed by Admin in account settings."
}
}
},
"description": "The members value"
},
"custom_email_subject": {
"type": "string",
"description": "Custom Email Subject"
},
"send_new_proof_email": {
"type": "boolean",
"description": "Send new proof/new version email to reviewers on Stage"
},
"custom_email_message": {
"type": "string",
"description": "Custom Email Message"
},
"lock": {
"type": "object",
"description": "The lock value"
},
"skip": {
"type": "string",
"enum": [
"never",
"on_approved_or_approvedwithchanges",
"on_approved",
"on_completion"
],
"description": "Skip condition"
},
"stage_trigger": {
"type": "object",
"description": "Stage Trigger"
},
"allow_private_comments": {
"type": "boolean",
"description": "Allow Private Comments"
},
"allow_public_comments": {
"type": "boolean",
"description": "Allow Public Comments"
}
},
"required": [
"members"
]
},
"description": "The stages value"
}
},
"required": [
"PCID",
"stages"
]
}
ziflow_management_put_custom_properties_proofs_groups_group_id
Update Property Group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_id | string | Yes | — | Custom Property Group ID |
active | boolean | No | — | The active value |
display_order | integer | No | — | Order of the group. |
name | string | No | — | Property group name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "string",
"description": "Custom Property Group ID"
},
"active": {
"type": "boolean",
"description": "The active value"
},
"display_order": {
"type": "integer",
"description": "Order of the group."
},
"name": {
"type": "string",
"description": "Property group name"
}
},
"required": [
"PCID",
"group_id"
]
}
ziflow_management_put_custom_properties_proofs_groups_group_id_properties_property_id_options_option_id
Update Property option Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
group_id | string | Yes | — | Property group ID | |
property_id | string | Yes | — | Property ID | |
option_id | string | Yes | — | Option ID | |
color | string | null | No | — | Possible to update only for multi select list options |
display_order | integer | No | — | Display Order | |
value | string | No | — | The value value | |
visible | boolean | No | — | The visible value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "string",
"description": "Property group ID"
},
"property_id": {
"type": "string",
"description": "Property ID"
},
"option_id": {
"type": "string",
"description": "Option ID"
},
"color": {
"type": [
"string",
"null"
],
"description": "Possible to update only for multi select list options"
},
"display_order": {
"type": "integer",
"description": "Display Order"
},
"value": {
"type": "string",
"description": "The value value"
},
"visible": {
"type": "boolean",
"description": "The visible value"
}
},
"required": [
"PCID",
"group_id",
"property_id",
"option_id"
]
}
ziflow_management_put_folders_id
Update an existing folder Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | string | Yes | — | Folder ID | |
archived | boolean | No | — | Field defines if folder will be archived or not. Setting “false” on subfolder will unarchive all subfolders and parent folders. | |
name | string | No | — | The name value | |
parent_folder_id | string | null | No | — | Parent Folder Id |
private | boolean | No | — | The private value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Folder ID"
},
"archived": {
"type": "boolean",
"description": "Field defines if folder will be archived or not. Setting \"false\" on subfolder will unarchive all subfolders and parent folders."
},
"name": {
"type": "string",
"description": "The name value"
},
"parent_folder_id": {
"type": [
"string",
"null"
],
"description": "Parent Folder Id"
},
"private": {
"type": "boolean",
"description": "The private value"
}
},
"required": [
"PCID",
"id"
]
}
ziflow_management_put_folders_id_share
Update folder sharing settings Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Folder ID |
type | string | No | — | Specifies folder’s type |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Folder ID"
},
"type": {
"type": "string",
"description": "Specifies folder's type",
"enum": [
"PUBLIC",
"RESTRICTED",
"DISABLED"
]
}
},
"required": [
"PCID",
"id"
]
}
ziflow_management_put_guests_id
Update an existing guest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Guest ID |
company | string | No | — | The company value |
first_name | string | No | — | First Name |
group | string[] | No | — | The group value |
language | string | No | — | Can be changed to: en, zh_cn, de, fr, ja, pt_br, es |
last_name | string | No | — | Last Name |
phone | string | No | — | The phone value |
proofing_defaults | object | No | — | Proofing Defaults |
timezone | string | No | — | Valid time zone identifiers from IANA Time Zone Database |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Guest ID"
},
"company": {
"type": "string",
"description": "The company value"
},
"first_name": {
"type": "string",
"description": "First Name"
},
"group": {
"type": "array",
"items": {
"type": "string"
},
"description": "The group value"
},
"language": {
"type": "string",
"description": "Can be changed to: en, zh_cn, de, fr, ja, pt_br, es"
},
"last_name": {
"type": "string",
"description": "Last Name"
},
"phone": {
"type": "string",
"description": "The phone value"
},
"proofing_defaults": {
"type": "object",
"description": "Proofing Defaults",
"properties": {
"comment": {
"type": "boolean",
"description": "The comment value"
},
"decision": {
"type": "boolean",
"description": "The decision value"
},
"share": {
"type": "boolean",
"description": "The share value"
},
"manage": {
"type": "boolean",
"description": "The manage value"
},
"notification": {
"type": "string",
"description": "Default notification \"hourly_digest\" applies only to new users/guests. Other contacts retain their notification settings as default, unless defined otherwise. Default notification can be changed by Admin in account settings.",
"enum": [
"all_activity",
"replies_to_my_comments",
"decisions",
"final_decision",
"hourly_digest",
"daily_digest",
"disabled"
]
}
}
},
"timezone": {
"type": "string",
"description": "Valid time zone identifiers from IANA Time Zone Database"
}
},
"required": [
"PCID",
"id"
]
}
ziflow_management_put_users_identifier
Update an existing user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
identifier | string | Yes | — | User ID |
active | boolean | No | — | The active value |
company | string | No | — | The company value |
first_name | string | No | — | First Name |
group | string[] | No | — | The group value |
language | string | No | — | Can be changed to: en, zh_cn, de, fr, ja, pt_br, es |
last_name | string | No | — | Last Name |
password | string | No | — | Must be provided if “verified” changes to true. Must be at least 8 characters, 1 number and 1 capital letter. Password change may be required from user dependent on Account Settings. |
phone | string | No | — | The phone value |
proofing_defaults | object | No | — | Proofing Defaults |
roles | string[] | No | — | The roles value |
timezone | string | No | — | Valid time zone identifiers from IANA Time Zone Database |
verified | boolean | No | — | Can only be changed from false to true |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"identifier": {
"type": "string",
"description": "User ID"
},
"active": {
"type": "boolean",
"description": "The active value"
},
"company": {
"type": "string",
"description": "The company value"
},
"first_name": {
"type": "string",
"description": "First Name"
},
"group": {
"type": "array",
"items": {
"type": "string"
},
"description": "The group value"
},
"language": {
"type": "string",
"description": "Can be changed to: en, zh_cn, de, fr, ja, pt_br, es"
},
"last_name": {
"type": "string",
"description": "Last Name"
},
"password": {
"type": "string",
"description": "Must be provided if \"verified\" changes to true. Must be at least 8 characters, 1 number and 1 capital letter. Password change may be required from user dependent on Account Settings."
},
"phone": {
"type": "string",
"description": "The phone value"
},
"proofing_defaults": {
"type": "object",
"description": "Proofing Defaults",
"properties": {
"comment": {
"type": "boolean",
"description": "The comment value"
},
"decision": {
"type": "boolean",
"description": "The decision value"
},
"share": {
"type": "boolean",
"description": "The share value"
},
"manage": {
"type": "boolean",
"description": "The manage value"
},
"notification": {
"type": "string",
"description": "Default notification \"hourly_digest\" applies only to new users/guests. Other contacts retain their notification settings as default, unless defined otherwise. Default notification can be changed by Admin in account settings.",
"enum": [
"all_activity",
"replies_to_my_comments",
"decisions",
"final_decision",
"hourly_digest",
"daily_digest",
"disabled"
]
}
}
},
"roles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"manager",
"billing",
"user",
"lite_user"
]
},
"description": "The roles value"
},
"timezone": {
"type": "string",
"description": "Valid time zone identifiers from IANA Time Zone Database"
},
"verified": {
"type": "boolean",
"description": "Can only be changed from false to true"
}
},
"required": [
"PCID",
"identifier"
]
}
ziflow_management_put_workflowtemplates_template_id
Update an existing template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | Template ID |
active | boolean | No | — | The active value |
id | string | No | — | The id value |
name | string | No | — | The name value |
owner_email | string | No | — | Owner Email |
permissions | object | No | — | The permissions value |
stages | object[] | No | — | The stages value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"template_id": {
"type": "string",
"description": "Template ID"
},
"active": {
"type": "boolean",
"description": "The active value"
},
"id": {
"type": "string",
"description": "The id value"
},
"name": {
"type": "string",
"description": "The name value"
},
"owner_email": {
"type": "string",
"description": "Owner Email"
},
"permissions": {
"type": "object",
"description": "The permissions value",
"properties": {
"add_stages": {
"type": "boolean",
"description": "Add Stages"
},
"remove_stages": {
"type": "boolean",
"description": "Remove Stages"
},
"change_stage_name": {
"type": "boolean",
"description": "Change Stage Name"
},
"change_stage_trigger": {
"type": "boolean",
"description": "Change Stage Trigger"
},
"change_stage_deadline": {
"type": "boolean",
"description": "Change Stage Deadline"
},
"change_stage_lock_mechanism": {
"type": "boolean",
"description": "Change Stage Lock Mechanism"
},
"change_stage_status_calculation": {
"type": "boolean",
"description": "Change Stage Status Calculation"
},
"change_stage_private_comments_ability": {
"type": "boolean",
"description": "Change Stage Private Comments Ability"
},
"change_stage_invitation_message": {
"type": "boolean",
"description": "Change Stage Invitation Message"
},
"add_reviewers": {
"type": "boolean",
"description": "Add Reviewers"
},
"remove_reviewers": {
"type": "boolean",
"description": "Remove Reviewers"
},
"change_reviewer_roles": {
"type": "boolean",
"description": "Change Reviewer Roles"
},
"change_reviewer_notification_preferences": {
"type": "boolean",
"description": "Change Reviewer Notification Preferences"
}
}
},
"stages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Provide ID of every stage you wish to change or leave unchanged - missing stage ID will be deleted."
},
"name": {
"type": "string",
"description": "The name value"
},
"final_status_calculation": {
"type": "object",
"description": "Defines how stage decision status is calculated. \"all_decisions\" - all decisions must be made to calculate the stage status. \"only_one_decision\" - any single decision is enough to calculate the stage status. \"primary_decision_maker\" - selected reviewer's decision will calculate the stage status. \"reviewer_id\" or \"reviewer_email\" must be provided for the \"primary_decision_maker\" option."
},
"members": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Provide ID of every member you wish to change or leave unchanged - missing stage ID will be deleted."
},
"email": {
"type": "string"
},
"comment": {
"type": "boolean"
},
"decision": {
"type": "boolean"
},
"manage": {
"type": "boolean"
},
"share": {
"type": "boolean",
"description": "Allows to give guest reviewers permissions to share the proof. Available only on Enterprise edition"
},
"notification": {
"type": "string",
"description": "Default notification \"hourly_digest\" applies only to new users/guests. Other contacts retain their notification settings as default, unless defined otherwise. Default notification can be changed by Admin in account settings."
}
}
},
"description": "The members value"
},
"custom_email_subject": {
"type": "string",
"description": "Custom Email Subject"
},
"send_new_proof_email": {
"type": "boolean",
"description": "Send new proof/new version email to reviewers on Stage"
},
"custom_email_message": {
"type": "string",
"description": "Custom Email Message"
},
"lock": {
"type": "object",
"description": "The lock value"
},
"skip": {
"type": "string",
"enum": [
"never",
"on_approved_or_approvedwithchanges",
"on_approved",
"on_completion"
],
"description": "Skip condition"
},
"stage_trigger": {
"type": "object",
"description": "Stage Trigger"
},
"allow_private_comments": {
"type": "boolean",
"description": "Allow Private Comments"
},
"allow_public_comments": {
"type": "boolean",
"description": "Allow Public Comments"
}
},
"required": [
"id"
]
},
"description": "The stages value"
}
},
"required": [
"PCID",
"template_id"
]
}

